使用PHP的$_ENV获取不到环境变量问题解决方法
假如在/etc/profile里有一个自定义的环境变量 export RUN_MODE=test 如果要使用PHP的$_ENV能获取到这个环境变量的话要做如下配...
157浏览
Ubuntu中Qt5 Creator不能使用搜狗输入法问题
使用的版本为Qt5.12.0, 安装目录为 /home/36nu/Qt5.12.0 。安装 fcitx-libs-dev sudo apt install fc...
207浏览
Ubuntu安装Qt后使用qmake命令报错问题的解决方法
在Ubuntu18.10下安装Qt5.12后使用指令 qmake -v查看Qt版本信息时出现如下错误: $ qmake -v qmake: could not ...
386浏览
Mac中关闭brew每次执行前的更新检查
每次使用brew安装软件时,默认都会自动检查更新homebrew,显示Updating Homebrew...,会浪费很多的时间,所以要关闭自动更新,在命令行执...
453浏览
解决ubuntu系统中sublime不能使用Fcitx搜狗输入法的问题
Sublime Text 2/3在 Ubuntu(Debian) 系统中无法输入中文(CJK 字符)解决方法: 首先将系统软件升级为最新 sudo apt-ge...
279浏览
RHEL/CentOS使用yum-cron保持自动更新
yum-cron是一个能使RHEL/CentOS系统自动更新的软件。安装yum-cron # yum install yum-cron 设置yum-cron开机...
310浏览
Linux系统编译安装lua
本文以 Lua 5.3.5 为例。下载 lua 并解压 # wget http://www.lua.org/ftp/lua-5.3.5.tar.gz # tar...
273浏览
Ubuntu Budgie 安装 Virtualbox 中可能碰到的问题及解决方法
重装了 Ubuntu Budgie 之后想安装下 Virtualbox,本文使用的版本为 virtualbox-5.2_5.2.22-126460_Ubuntu...
359浏览
PHP中使用$_ENV获取环境变量的问题
今天在网上偶然看到一个问题:为什么使用$_ENV获取不到设置的环境变量?,回答这个问题之前先看看PHP的一个配置项variables_order.php.ini...
387浏览
Ubuntu Budgie 不能升级问题的解决方法
现在使用的 Ubuntu Budgie 版本为18.04,想将系统升级到最新的版本18.10 . 使用 update-manager 检测到新版本之后点击升级...
344浏览
Ubuntu系统中virtualbox启用USB设备支持
VirtualBox默认不支持USB设备接入,virtualBox要使用宿主机的USB设备就需要安装扩展包,到官网下载对应版本的扩展包(VirtualBox E...
518浏览
PHP实现SHA1WithRSA签名和验签
对接第三方服务时一般都会对数据签名和验签,sha1WithRSA是比较常用的一种签名算法,特别是和支付相关的的服务。以下是使用 php 实现 SHA1WithR...
1500浏览
gRPC安装配置和简单使用方法
gRPC 需要 Go 1.6 以上版本, 安装配置Go可以参考 Linux系统中go的安装配置方法 安装 Protocol Buffers v3 因为要安装 p...
574浏览
Golang安装gRPC报错问题的解决方法
按照 gRPC 官方安装方法: # go get google.golang.org/grpc 未挂国外代理的情况下会报如下错误: package google...
534浏览
go语言中如何对map排序
golang中 map 默认是无序的,不管是按照 key 还是按照 value 默认都不排序, 如果要为 map 排序,需要将 key 拷贝到一个切片,对切片排...
575浏览
36nu 分享编程知识及经验

已有账号?立即登录
微信公众号
关注36nu微信公众账号
获取最新编程知识及经验